summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 22:53:37 +0200
committer David Somero2010-05-11 22:53:37 +0200
commit1c1d86af748e8533eef65576762123b4fa93fa38 (patch)
tree800a2a0076000560f91b17de3d4a94e25cb441fa /development
parent8c809c188b064c2a6e81668dc563c81ad548a75e (diff)
downloadslackbuilds-1c1d86af748e8533eef65576762123b4fa93fa38.tar.gz
development/perl-module-build: Added to 12.1 repository
Diffstat (limited to 'development')
-rw-r--r--development/perl-module-build/README12
-rw-r--r--development/perl-module-build/perl-module-build.SlackBuild85
-rw-r--r--development/perl-module-build/perl-module-build.info8
-rw-r--r--development/perl-module-build/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/development/perl-module-build/README b/development/perl-module-build/README
new file mode 100644
index 0000000000..7d83b326e4
--- /dev/null
+++ b/development/perl-module-build/README
@@ -0,0 +1,12 @@
+`Module::Build' is a system for building, testing, and
+installing Perl modules. It is meant to be an alternative to
+`ExtUtils::MakeMaker'. Developers may alter the behavior of
+the module through subclassing in a much more straightforward
+way than with `MakeMaker'. It also does not require a `make'
+on your system - most of the `Module::Build' code is pure-perl
+and written in a very cross-platform way.
+
+It is recommended to install perl-extutils-cbuilder and
+perl-extutils-parsexs before you install perl-module-build,
+though it is not required. It will also make use of yaml,
+if available. All of which are available from SlackBuilds.org. \ No newline at end of file
diff --git a/development/perl-module-build/perl-module-build.SlackBuild b/development/perl-module-build/perl-module-build.SlackBuild
new file mode 100644
index 0000000000..9723f05d84
--- /dev/null
+++ b/development/perl-module-build/perl-module-build.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for perl-module-build
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Module-Build
+VERSION=0.30
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PKGNAM=perl-$(echo $PRGNAM | tr [:upper:] [:lower:])
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo "y" | perl Makefile.PL INSTALLDIRS=vendor
+
+make
+
+make install DESTDIR=$PKG
+
+#Move man-pages to appropriate place
+mv $PKG/usr/share/man $PKG/usr/
+
+# Remove perlocal.pod and .packlist from $PKG
+( for i in perllocal.pod .packlist; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a Changes INSTALL README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+cat $CWD/$PKGNAM.SlackBuild > $PKG/usr/doc/$PKGNAM-$VERSION/$PKGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/perl-module-build/perl-module-build.info b/development/perl-module-build/perl-module-build.info
new file mode 100644
index 0000000000..556d7a3463
--- /dev/null
+++ b/development/perl-module-build/perl-module-build.info
@@ -0,0 +1,8 @@
+PRGNAM="perl-module-build"
+VERSION="0.30"
+HOMEPAGE="http://search.cpan.org/dist/Module-Build/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/Module-Build-0.30.tar.gz"
+MD5SUM="8c789ba356e67ce924d0e8abec8a6028"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="David Somero"
diff --git a/development/perl-module-build/slack-desc b/development/perl-module-build/slack-desc
new file mode 100644
index 0000000000..bc038167fc
--- /dev/null
+++ b/development/perl-module-build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------|
+perl-module-build: perl-module-build (Alternative Perl-Module build system)
+perl-module-build:
+perl-module-build: `Module::Build' is a system for building, testing, and
+perl-module-build: installing Perl modules. It is meant to be an alternative
+perl-module-build: to `ExtUtils::MakeMaker'. Developers may alter the
+perl-module-build: behavior of the module through subclassing in a much more
+perl-module-build: straightforward way than with `MakeMaker'. It also does
+perl-module-build: not require a `make' on your system - most of the
+perl-module-build: `Module::Build' code is pure-perl and written in a very
+perl-module-build: cross-platform way.
+perl-module-build: